<?php

if ( ! function_exists('ratio_feature') ) {

// Register Custom Post Type
function ratio_feature() {

	$labels = array(
		'name'                  => esc_html_x( 'Features', 'Post Type General Name', 'ratio' ),
		'singular_name'         => esc_html_x( 'Feature', 'Post Type Singular Name', 'ratio' ),
		'menu_name'             => esc_html__( 'Features', 'ratio' ),
		'name_admin_bar'        => esc_html__( 'Features', 'ratio' ),
		'archives'              => esc_html__( 'Item Archives', 'ratio' ),
		'attributes'            => esc_html__( 'Item Attributes', 'ratio' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'ratio' ),
		'all_items'             => esc_html__( 'All Items', 'ratio' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'ratio' ),
		'add_new'               => esc_html__( 'Add New', 'ratio' ),
		'new_item'              => esc_html__( 'New Item', 'ratio' ),
		'edit_item'             => esc_html__( 'Edit Item', 'ratio' ),
		'update_item'           => esc_html__( 'Update Item', 'ratio' ),
		'view_item'             => esc_html__( 'View Item', 'ratio' ),
		'view_items'            => esc_html__( 'View Items', 'ratio' ),
		'search_items'          => esc_html__( 'Search Item', 'ratio' ),
		'not_found'             => esc_html__( 'Not found', 'ratio' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'ratio' ),
		'featured_image'        => esc_html__( 'Featured Image', 'ratio' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'ratio' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'ratio' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'ratio' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'ratio' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'ratio' ),
		'items_list'            => esc_html__( 'Items list', 'ratio' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'ratio' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'ratio' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Feature', 'ratio' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-lightbulb',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'feature', $args );

}
add_action( 'init', 'ratio_feature', 0 );

}

if ( ! function_exists('ratio_why_choice_us') ) {

// Register Custom Post Type
function ratio_why_choice_us() {

	$labels = array(
		'name'                  => esc_html_x( 'Why Choice Us', 'Post Type General Name', 'ratio' ),
		'singular_name'         => esc_html_x( 'Why Choice Us', 'Post Type Singular Name', 'ratio' ),
		'menu_name'             => esc_html__( 'Why Choice Us', 'ratio' ),
		'name_admin_bar'        => esc_html__( 'Why Choice Us', 'ratio' ),
		'archives'              => esc_html__( 'Item Archives', 'ratio' ),
		'attributes'            => esc_html__( 'Item Attributes', 'ratio' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'ratio' ),
		'all_items'             => esc_html__( 'All Items', 'ratio' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'ratio' ),
		'add_new'               => esc_html__( 'Add New', 'ratio' ),
		'new_item'              => esc_html__( 'New Item', 'ratio' ),
		'edit_item'             => esc_html__( 'Edit Item', 'ratio' ),
		'update_item'           => esc_html__( 'Update Item', 'ratio' ),
		'view_item'             => esc_html__( 'View Item', 'ratio' ),
		'view_items'            => esc_html__( 'View Items', 'ratio' ),
		'search_items'          => esc_html__( 'Search Item', 'ratio' ),
		'not_found'             => esc_html__( 'Not found', 'ratio' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'ratio' ),
		'featured_image'        => esc_html__( 'Featured Image', 'ratio' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'ratio' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'ratio' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'ratio' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'ratio' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'ratio' ),
		'items_list'            => esc_html__( 'Items list', 'ratio' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'ratio' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'ratio' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Why Choice Us', 'ratio' ),
		'description'           => esc_html__( 'Post Type Description', 'ratio' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-universal-access-alt',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'why_choice_us', $args );

}
add_action( 'init', 'ratio_why_choice_us', 0 );

}

if ( ! function_exists('ratio_service') ) {

// Register Custom Post Type
function ratio_service() {

	$labels = array(
		'name'                  => esc_html_x( 'Services', 'Post Type General Name', 'ratio' ),
		'singular_name'         => esc_html_x( 'Service', 'Post Type Singular Name', 'ratio' ),
		'menu_name'             => esc_html__( 'Services', 'ratio' ),
		'name_admin_bar'        => esc_html__( 'Services', 'ratio' ),
		'archives'              => esc_html__( 'Item Archives', 'ratio' ),
		'attributes'            => esc_html__( 'Item Attributes', 'ratio' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'ratio' ),
		'all_items'             => esc_html__( 'All Items', 'ratio' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'ratio' ),
		'add_new'               => esc_html__( 'Add New', 'ratio' ),
		'new_item'              => esc_html__( 'New Item', 'ratio' ),
		'edit_item'             => esc_html__( 'Edit Item', 'ratio' ),
		'update_item'           => esc_html__( 'Update Item', 'ratio' ),
		'view_item'             => esc_html__( 'View Item', 'ratio' ),
		'view_items'            => esc_html__( 'View Items', 'ratio' ),
		'search_items'          => esc_html__( 'Search Item', 'ratio' ),
		'not_found'             => esc_html__( 'Not found', 'ratio' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'ratio' ),
		'featured_image'        => esc_html__( 'Featured Image', 'ratio' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'ratio' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'ratio' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'ratio' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'ratio' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'ratio' ),
		'items_list'            => esc_html__( 'Items list', 'ratio' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'ratio' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'ratio' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Services', 'ratio' ),
		'description'           => esc_html__( 'Post Type Description', 'ratio' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-megaphone',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'service', $args );

}
add_action( 'init', 'ratio_service', 0 );

}

if ( ! function_exists('ratio_portfolio') ) {

// Register Custom Post Type
function ratio_portfolio() {

	$labels = array(
		'name'                  => esc_html_x( 'Portfolios', 'Post Type General Name', 'ratio' ),
		'singular_name'         => esc_html_x( 'Portfolio', 'Post Type Singular Name', 'ratio' ),
		'menu_name'             => esc_html__( 'Portfolios', 'ratio' ),
		'name_admin_bar'        => esc_html__( 'Portfolios', 'ratio' ),
		'archives'              => esc_html__( 'Item Archives', 'ratio' ),
		'attributes'            => esc_html__( 'Item Attributes', 'ratio' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'ratio' ),
		'all_items'             => esc_html__( 'All Items', 'ratio' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'ratio' ),
		'add_new'               => esc_html__( 'Add New', 'ratio' ),
		'new_item'              => esc_html__( 'New Item', 'ratio' ),
		'edit_item'             => esc_html__( 'Edit Item', 'ratio' ),
		'update_item'           => esc_html__( 'Update Item', 'ratio' ),
		'view_item'             => esc_html__( 'View Item', 'ratio' ),
		'view_items'            => esc_html__( 'View Items', 'ratio' ),
		'search_items'          => esc_html__( 'Search Item', 'ratio' ),
		'not_found'             => esc_html__( 'Not found', 'ratio' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'ratio' ),
		'featured_image'        => esc_html__( 'Featured Image', 'ratio' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'ratio' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'ratio' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'ratio' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'ratio' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'ratio' ),
		'items_list'            => esc_html__( 'Items list', 'ratio' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'ratio' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'ratio' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Portfolio', 'ratio' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', ),
		'taxonomies'            => array( 'cat_portfolios' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-portfolio',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'portfolios', $args );

}
add_action( 'init', 'ratio_portfolio', 0 );

}

if ( ! function_exists( 'ratio_portfolio_cat' ) ) {

// Register Custom Taxonomy
function ratio_portfolio_cat() {

	$labels = array(
		'name'                       => esc_html_x( 'Categories', 'Taxonomy General Name', 'ratio' ),
		'singular_name'              => esc_html_x( 'Category', 'Taxonomy Singular Name', 'ratio' ),
		'menu_name'                  => esc_html__( 'Category', 'ratio' ),
		'all_items'                  => esc_html__( 'All Items', 'ratio' ),
		'parent_item'                => esc_html__( 'Parent Item', 'ratio' ),
		'parent_item_colon'          => esc_html__( 'Parent Item:', 'ratio' ),
		'new_item_name'              => esc_html__( 'New Item Name', 'ratio' ),
		'add_new_item'               => esc_html__( 'Add New Item', 'ratio' ),
		'edit_item'                  => esc_html__( 'Edit Item', 'ratio' ),
		'update_item'                => esc_html__( 'Update Item', 'ratio' ),
		'view_item'                  => esc_html__( 'View Item', 'ratio' ),
		'separate_items_with_commas' => esc_html__( 'Separate items with commas', 'ratio' ),
		'add_or_remove_items'        => esc_html__( 'Add or remove items', 'ratio' ),
		'choose_from_most_used'      => esc_html__( 'Choose from the most used', 'ratio' ),
		'popular_items'              => esc_html__( 'Popular Items', 'ratio' ),
		'search_items'               => esc_html__( 'Search Items', 'ratio' ),
		'not_found'                  => esc_html__( 'Not Found', 'ratio' ),
		'no_terms'                   => esc_html__( 'No items', 'ratio' ),
		'items_list'                 => esc_html__( 'Items list', 'ratio' ),
		'items_list_navigation'      => esc_html__( 'Items list navigation', 'ratio' ),
	);
	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	);
	register_taxonomy( 'cat_portfolios', array( 'portfolios' ), $args );

}
add_action( 'init', 'ratio_portfolio_cat', 0 );

}

if ( ! function_exists('ratio_team') ) {

// Register Custom Post Type
function ratio_team() {

	$labels = array(
		'name'                  => esc_html_x( 'Team', 'Post Type General Name', 'ratio' ),
		'singular_name'         => esc_html_x( 'Team', 'Post Type Singular Name', 'ratio' ),
		'menu_name'             => esc_html__( 'Team', 'ratio' ),
		'name_admin_bar'        => esc_html__( 'Team', 'ratio' ),
		'archives'              => esc_html__( 'Item Archives', 'ratio' ),
		'attributes'            => esc_html__( 'Item Attributes', 'ratio' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'ratio' ),
		'all_items'             => esc_html__( 'All Items', 'ratio' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'ratio' ),
		'add_new'               => esc_html__( 'Add New', 'ratio' ),
		'new_item'              => esc_html__( 'New Item', 'ratio' ),
		'edit_item'             => esc_html__( 'Edit Item', 'ratio' ),
		'update_item'           => esc_html__( 'Update Item', 'ratio' ),
		'view_item'             => esc_html__( 'View Item', 'ratio' ),
		'view_items'            => esc_html__( 'View Items', 'ratio' ),
		'search_items'          => esc_html__( 'Search Item', 'ratio' ),
		'not_found'             => esc_html__( 'Not found', 'ratio' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'ratio' ),
		'featured_image'        => esc_html__( 'Featured Image', 'ratio' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'ratio' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'ratio' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'ratio' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'ratio' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'ratio' ),
		'items_list'            => esc_html__( 'Items list', 'ratio' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'ratio' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'ratio' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Team', 'ratio' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', 'editor' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-groups',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'team', $args );

}
add_action( 'init', 'ratio_team', 0 );

}

if ( ! function_exists('ratio_pricing') ) {

// Register Custom Post Type
function ratio_pricing() {

	$labels = array(
		'name'                  => esc_html_x( 'Pricing', 'Post Type General Name', 'ratio' ),
		'singular_name'         => esc_html_x( 'Pricing', 'Post Type Singular Name', 'ratio' ),
		'menu_name'             => esc_html__( 'Pricing', 'ratio' ),
		'name_admin_bar'        => esc_html__( 'Pricing', 'ratio' ),
		'archives'              => esc_html__( 'Item Archives', 'ratio' ),
		'attributes'            => esc_html__( 'Item Attributes', 'ratio' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'ratio' ),
		'all_items'             => esc_html__( 'All Items', 'ratio' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'ratio' ),
		'add_new'               => esc_html__( 'Add New', 'ratio' ),
		'new_item'              => esc_html__( 'New Item', 'ratio' ),
		'edit_item'             => esc_html__( 'Edit Item', 'ratio' ),
		'update_item'           => esc_html__( 'Update Item', 'ratio' ),
		'view_item'             => esc_html__( 'View Item', 'ratio' ),
		'view_items'            => esc_html__( 'View Items', 'ratio' ),
		'search_items'          => esc_html__( 'Search Item', 'ratio' ),
		'not_found'             => esc_html__( 'Not found', 'ratio' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'ratio' ),
		'featured_image'        => esc_html__( 'Featured Image', 'ratio' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'ratio' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'ratio' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'ratio' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'ratio' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'ratio' ),
		'items_list'            => esc_html__( 'Items list', 'ratio' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'ratio' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'ratio' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Pricing', 'ratio' ),
		'labels'                => $labels,
		'supports'              => array( 'title', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-index-card',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'pricing', $args );

}
add_action( 'init', 'ratio_pricing', 0 );

}

if ( ! function_exists('ratio_testimonials') ) {

// Register Custom Post Type
function ratio_testimonials() {

	$labels = array(
		'name'                  => esc_html_x( 'Testimonials', 'Post Type General Name', 'ratio' ),
		'singular_name'         => esc_html_x( 'Testimonials', 'Post Type Singular Name', 'ratio' ),
		'menu_name'             => esc_html__( 'Testimonials', 'ratio' ),
		'name_admin_bar'        => esc_html__( 'Testimonials', 'ratio' ),
		'archives'              => esc_html__( 'Item Archives', 'ratio' ),
		'attributes'            => esc_html__( 'Item Attributes', 'ratio' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'ratio' ),
		'all_items'             => esc_html__( 'All Items', 'ratio' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'ratio' ),
		'add_new'               => esc_html__( 'Add New', 'ratio' ),
		'new_item'              => esc_html__( 'New Item', 'ratio' ),
		'edit_item'             => esc_html__( 'Edit Item', 'ratio' ),
		'update_item'           => esc_html__( 'Update Item', 'ratio' ),
		'view_item'             => esc_html__( 'View Item', 'ratio' ),
		'view_items'            => esc_html__( 'View Items', 'ratio' ),
		'search_items'          => esc_html__( 'Search Item', 'ratio' ),
		'not_found'             => esc_html__( 'Not found', 'ratio' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'ratio' ),
		'featured_image'        => esc_html__( 'Featured Image', 'ratio' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'ratio' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'ratio' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'ratio' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'ratio' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'ratio' ),
		'items_list'            => esc_html__( 'Items list', 'ratio' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'ratio' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'ratio' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Testimonials', 'ratio' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-smiley',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'testimonials', $args );

}
add_action( 'init', 'ratio_testimonials', 0 );

}

if ( ! function_exists('ratio_client') ) {

// Register Custom Post Type
function ratio_client() {

	$labels = array(
		'name'                  => esc_html_x( 'Clients', 'Post Type General Name', 'ratio' ),
		'singular_name'         => esc_html_x( 'Clients', 'Post Type Singular Name', 'ratio' ),
		'menu_name'             => esc_html__( 'Clients', 'ratio' ),
		'name_admin_bar'        => esc_html__( 'Clients', 'ratio' ),
		'archives'              => esc_html__( 'Item Archives', 'ratio' ),
		'attributes'            => esc_html__( 'Item Attributes', 'ratio' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'ratio' ),
		'all_items'             => esc_html__( 'All Items', 'ratio' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'ratio' ),
		'add_new'               => esc_html__( 'Add New', 'ratio' ),
		'new_item'              => esc_html__( 'New Item', 'ratio' ),
		'edit_item'             => esc_html__( 'Edit Item', 'ratio' ),
		'update_item'           => esc_html__( 'Update Item', 'ratio' ),
		'view_item'             => esc_html__( 'View Item', 'ratio' ),
		'view_items'            => esc_html__( 'View Items', 'ratio' ),
		'search_items'          => esc_html__( 'Search Item', 'ratio' ),
		'not_found'             => esc_html__( 'Not found', 'ratio' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'ratio' ),
		'featured_image'        => esc_html__( 'Featured Image', 'ratio' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'ratio' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'ratio' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'ratio' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'ratio' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'ratio' ),
		'items_list'            => esc_html__( 'Items list', 'ratio' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'ratio' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'ratio' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Clients', 'ratio' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-nametag',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'clients', $args );

}
add_action( 'init', 'ratio_client', 0 );

}