<?php


add_action( 'cmb2_init', 'ratio_metabox_options' );

function ratio_metabox_options(){
	// Start with an underscore to hide fields from custom fields list
	$prefix = '_ratio_';


	// Page Options	

	$cmb2_post_1_options = new_cmb2_box( array(
		'id'           => $prefix . 'p1banner_option',
		'title'        => esc_html__( 'Upload Banner Image', 'ratio' ),
		'object_types' => array( 'page' , 'post', 'portfolios'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_post_1_options->add_field( array(
	    'id'               => $prefix .'upload_banner_image',
	    'desc'             => esc_html__( 'Please upload banner image here ','ratio' ),
		 'type'             => 'file',
	) );	
	
	// Feature Options
	$cmb2_feature_options = new_cmb2_box( array(
		'id'           => $prefix . 'feature_option',
		'title'        => esc_html__( 'Feature Options', 'ratio' ),
		'object_types' => array( 'feature' ), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_feature_options->add_field( array(
		'name'             => esc_html__('Icon' , 'ratio'),
	    'id'               => $prefix .'feature_icon',
	    'desc'             => esc_html__( 'write icon here ','ratio' ),
		 'type'             => 'text',
		 'default'             => 'fa fa-tablet',
	) );	
	
	//Post Options	
	$cmb2_post_options = new_cmb2_box( array(
		'id'           => $prefix . 'posts_option',
		'title'        => esc_html__( 'Post Options', 'ratio' ),
		'object_types' => array( 'post'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );	
	
	
	$cmb2_post_options->add_field( array(
	    'name'             => esc_html__('Audio / Video Post Embed Code ' , 'ratio'),
	    'id'               => $prefix .'vid_post_title',
	    'type'    => 'title',
	) );		
	
	$cmb2_post_options->add_field( array(
	    'name'             => esc_html__('Embed Code' , 'ratio'),
	    'id'               => $prefix .'embed_code',
		'desc'    => esc_html__('enter embed code here' , 'ratio'),
	    'type'    => 'textarea_code',
	) );		
	$cmb2_why_choice_us = new_cmb2_box( array(
		'id'           => $prefix . 'why_choice_us_options',
		'title'        => esc_html__( 'Why Choice Us Info', 'ratio' ),
		'object_types' => array( 'why_choice_us'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_why_choice_us->add_field( array(
	    'name'             => esc_html__('Icon' , 'ratio'),
	    'id'               => $prefix .'why_choice_us_icon',
	    'desc'             => esc_html__( 'write icon here','ratio' ),
		'type'             => 'text',
		'default'    => 'fa fa-pencil-square-o',
	) );	
	
	
	$cmb2_service = new_cmb2_box( array(
		'id'           => $prefix . 'service_options',
		'title'        => esc_html__( 'Service Info', 'ratio' ),
		'object_types' => array( 'service'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_service->add_field( array(
	    'name'             => esc_html__('Icon' , 'ratio'),
	    'id'               => $prefix .'service_icon',
	    'desc'             => esc_html__( 'write icon here','ratio' ),
		'type'             => 'text',
		'default'    => 'fa fa-circle-o-notch',
	) );	
	
	
	$cmb2_portfolios = new_cmb2_box( array(
		'id'           => $prefix . 'port_options',
		'title'        => esc_html__( 'Portfolios Info', 'ratio' ),
		'object_types' => array( 'portfolios'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_portfolios->add_field( array(
	    'name'             => esc_html__('Client Label' , 'ratio'),
	    'id'               => $prefix .'port_client_label',
	    'desc'             => esc_html__( 'write client Label here','ratio' ),
		'type'             => 'text',
		'default'    => 'Client',
	) );		
	
	$cmb2_portfolios->add_field( array(
	    'name'             => esc_html__('Client Name' , 'ratio'),
	    'id'               => $prefix .'port_client_name',
	    'desc'             => esc_html__( 'write client name here','ratio' ),
		'type'             => 'text',
		'default'    => 'Themeforest',
	) );	
	
	$cmb2_portfolios->add_field( array(
	    'name'             => esc_html__('Date Label' , 'ratio'),
	    'id'               => $prefix .'port_date_label',
	    'desc'             => esc_html__( 'write date Label here','ratio' ),
		'type'             => 'text',
		'default'    => 'Project Date',
	) );		
	
	$cmb2_portfolios->add_field( array(
	    'name'             => esc_html__('Date' , 'ratio'),
	    'id'               => $prefix .'port_date',
	    'desc'             => esc_html__( 'write Date here','ratio' ),
		'type'             => 'text',
		'default'    => 'February 18, 2016',
	) );		
	
	$cmb2_portfolios->add_field( array(
	    'name'             => esc_html__('Project Url Label' , 'ratio'),
	    'id'               => $prefix .'port_project_url_label',
	    'desc'             => esc_html__( 'write date Label here','ratio' ),
		'type'             => 'text',
		'default'    => 'Project Url',
	) );		
	
	$cmb2_portfolios->add_field( array(
	    'name'             => esc_html__('Project Url' , 'ratio'),
	    'id'               => $prefix .'port_pro_url',
	    'desc'             => esc_html__( 'write project url here','ratio' ),
		'type'             => 'text',
		'default'    => 'www.themeforest.net',
	) );	
		
	
	$cmb2_pricing = new_cmb2_box( array(
		'id'           => $prefix . 'pric_options',
		'title'        => esc_html__( 'Pricing Info', 'ratio' ),
		'object_types' => array( 'pricing'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );
	
	$cmb2_pricing->add_field( array(
		'name'             => esc_html__('Feature Item' , 'ratio'),
		'id'               => $prefix .'pricing_feature_item',
		'desc'             => esc_html__( 'Check/ Uncheck here','ratio' ),
		'type'             => 'checkbox',
	) );	
			
	
	$cmb2_pricing->add_field( array(
		'name'             => esc_html__('Pricing Amount' , 'ratio'),
		'id'               => $prefix .'pricing_amount',
		'desc'             => esc_html__( 'write text here','ratio' ),
		'type'             => 'text',
		'default'    => '$28',
	) );	
	
	$cmb2_pricing->add_field( array(
		'name'             => esc_html__('Pricing Period' , 'ratio'),
		'id'               => $prefix .'pricing_period',
		'desc'             => esc_html__( 'write text here','ratio' ),
		'type'             => 'text',
		'default'    => 'per month',
	) );		
	$pricing_group_field_id = $cmb2_pricing->add_field( array(
		'id'          => $prefix .'pricing_group_field_opt',
		'type'        => 'group',
		// 'repeatable'  => false, // use false if you want non-repeatable group
		'options'     => array(
			'group_title'   => esc_html__( 'Feature {#}', 'ratio' ), // since version 1.1.4, {#} gets replaced by row number
			'add_button'    => esc_html__( 'Add New Feature', 'ratio' ),
			'remove_button' => esc_html__( 'Remove Feature', 'ratio' ),
			'sortable'      => true, // beta
			// 'closed'     => true, // true to have the groups closed by default
		),
	) );

	// Id's for group's fields only need to be unique for the group. Prefix is not needed.
	$cmb2_pricing->add_group_field( $pricing_group_field_id, array(
		'name'             => esc_html__('Icon' , 'ratio'),
		'id'               => $prefix .'pricing_icon',
		'desc'             => esc_html__( 'write name here all icon are fontawesome','ratio' ),
		'type'             => 'text',
		'default'    => 'fa fa-check',
	) );	
	
	// Id's for group's fields only need to be unique for the group. Prefix is not needed.
	$cmb2_pricing->add_group_field( $pricing_group_field_id, array(
		'name' => esc_html__('Single Feature' , 'ratio'),
		'id'   => $prefix .'single_feature',
		'type' => 'textarea_small',
		'default' => 'Free Access',
		'description' => esc_html__('write text here' , 'ratio'),
		// 'repeatable' => true, // Repeatable fields are supported w/in repeatable groups (for most types)
	) );
	
	$cmb2_pricing->add_field( array(
		'name'             => esc_html__('Button Text' , 'ratio'),
		'id'               => $prefix .'pricing_btn_text',
		'desc'             => esc_html__( 'write text here','ratio' ),
		'type'             => 'text',
		'default'    => 'Sign Up',
	) );		
	$cmb2_pricing->add_field( array(
		'name'             => esc_html__('Button Link' , 'ratio'),
		'id'               => $prefix .'pricing_btn_link',
		'desc'             => esc_html__( 'write text here','ratio' ),
		'type'             => 'text',
		'default'    => '#',
	) );		
	$cmb2_team = new_cmb2_box( array(
		'id'           => $prefix . 'team_mem_options',
		'title'        => esc_html__( 'Team Member Info', 'ratio' ),
		'object_types' => array('team'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	
	$cmb2_team->add_field( array(
	    'name'             => esc_html__('Designation' , 'ratio'),
	    'id'               => $prefix .'team_designation',
	    'desc'             => esc_html__( 'write designation here','ratio' ),
		'type'       => 'text',
		'default'       => 'Designer',
	) );		
	
	$teamgroup_field_id = $cmb2_team->add_field( array(
		'id'          => $prefix .'team_group_field_opt',
		'type'        => 'group',
		// 'repeatable'  => false, // use false if you want non-repeatable group
		'options'     => array(
			'group_title'   => esc_html__( 'Social Media link {#}', 'ratio' ), // since version 1.1.4, {#} gets replaced by row number
			'add_button'    => esc_html__( 'Add New Link', 'ratio' ),
			'remove_button' => esc_html__( 'Remove Link', 'ratio' ),
			'sortable'      => true, // beta
			// 'closed'     => true, // true to have the groups closed by default
		),
	) );


	$cmb2_team->add_group_field( $teamgroup_field_id, array(
	    'name'             => esc_html__('Social Icon' , 'ratio'),
	    'id'               => $prefix .'social_icon',
	    'desc'             => esc_html__( 'write icon here. get all icon here http://fontawesome.io/icons/ ','ratio' ),
		'type'             => 'text',
		'default'    => 'fa-facebook',
	) );		
	$cmb2_team->add_group_field( $teamgroup_field_id, array(
	    'name'             => esc_html__('Social Link' , 'ratio'),
	    'id'               => $prefix .'social_link',
	    'desc'             => esc_html__( 'write url here','ratio' ),
		'type'             => 'text',
		'default'    => '#',
	) );			

	$cmb2_clients = new_cmb2_box( array(
		'id'           => $prefix . 'client_options',
		'title'        => esc_html__( 'Client Info', 'ratio' ),
		'object_types' => array( 'clients'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_clients->add_field( array(
		'name'             => esc_html__('Client Website Address' , 'ratio'),
		'id'               => $prefix .'client_web_url',
		'desc'             => esc_html__( 'enter url here','ratio' ),
		'type'             => 'text',
	) );	
	
}