<?php

//Feature Area
function ratio_feature_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                   
            'sec_bef_title' => 'Ratio',                           
            'sec_aft_title' => 'Features',                           
            'number_of_post' => '4',                           

		), $atts )
    );
ob_start();

?>

<!-- START FEATURE-->
<section id="about" class="feature section-padding">
	<div class="container">
		<div class="row">
		
			<div class="section-title text-center wow zoomIn">
				<h2><?php echo esc_html($sec_bef_title);?> <span><?php echo esc_html($sec_aft_title);?></span></h2>
				<div></div>
			</div>
			
			<?php
				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'feature' ),
					'posts_per_page'         => $number_of_post,
				);

				// The Query
				$ratio_feat_query = new WP_Query( $args );

				// The Loop
				if ( $ratio_feat_query->have_posts() ) {
					while ( $ratio_feat_query->have_posts() ) {
						$ratio_feat_query->the_post();
						$ratio_feat_icon = get_post_meta(get_the_ID(),'_ratio_feature_icon', true);
						?>
						<div class="col-md-3 col-sm-6 col-xs-12 single_about wow fadeInUp" data-wow-duration="1s" data-wow-delay="0.1s" data-wow-offset="0">
							<i class="<?php echo esc_attr($ratio_feat_icon);?>"></i>
							<h4><?php the_title();?></h4>
							<?php the_content();?>
						</div><!--- END COL -->
				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();	
			?>	
				
		</div><!--- END ROW -->								
	</div><!--- END CONTAINER -->
</section>
<!-- END FEATURE -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('feature_area', 'ratio_feature_area' );


//Who We Area
function ratio_who_we_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                 
            'sec_title_before' => 'Who we',                   
            'sec_title_after' => 'are',                                  
            'sec_content' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut pulvinar lacus ut eros euismod, sit amet convallis lorem sagittis. In felis dolor, fringilla at mollis ac, blandit a magna. Pellentesque vehicula felis ex, id maximus.',                          
            'sec_vid_url' => 'https://player.vimeo.com/video/183058098',                          

		), $atts )
    );
ob_start();

?>

<!-- START ABOUT US -->
<section class="about_us section-padding">
	<div class="container">
		<div class="row">
			<div class="section-title text-center wow zoomIn">
				<h2><?php echo esc_html($sec_title_before);?> <span><?php echo esc_html($sec_title_after);?></span></h2>
				<div></div>
			</div>					
			<div class="col-md-6 col-sm-6 col-xs-12">
				<div class="single_about_content">
					<iframe src="<?php echo esc_url($sec_vid_url);?>"></iframe>
				</div>
			</div><!--- END COL -->					
			<div class="col-md-6 col-sm-6 col-xs-12">
				<div class="single_about_content">
					<p><?php echo ratio_wp_kses($sec_content);?></p>
				</div>	
				
				<div class="skills">				
					<?php echo do_shortcode($content);?>					
				</div>
		
			</div><!--- END COL -->
		</div><!--- END ROW -->		
	</div><!--- END CONTAINER -->
</section>
<!-- END ABOUT US -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('who_we_area', 'ratio_who_we_area' );

//Item
function ratio_who_we_area_item( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                 
            'skill_text' => 'design',                                                    
            'skill_number' => '95',                                                    

		), $atts )
    );
ob_start();

?>

	<div class="progress-bar-linear">
		<p class="progress-bar-text"><?php echo esc_html($skill_text);?></p>
		<div class="progress-bar">
			<span data-percent="<?php echo esc_attr($skill_number);?>"><?php echo esc_html($skill_number);?></span>
		</div>
	</div>
		
<?php 
  return ob_get_clean();
}
add_shortcode ('who_we_area_item', 'ratio_who_we_area_item' );

//Why Choice Us
function ratio_why_choice_us_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                 
            'section_title' => 'Why <span>choose</span> us',                                                                                                      
            'section_image' => '',                                                                                                      
            'number_of_post' => '4',                                                                                                      

		), $atts )
    );
ob_start();
$section_image = wp_get_attachment_image_src($section_image,'');
?>

<!-- START WHY CHOOSE US -->
<section class="why_choose_us section-padding">
	<div class="container">
		<div class="row">
			<div class="section-title text-center wow zoomIn">
				<h2><?php echo ratio_wp_kses($section_title);?></h2>
				<div></div>
			</div>

			<div class="col-md-6 col-sm-6 col-xs-12"> 
				<div class="feature_img">
					<img src="<?php echo esc_url($section_image[0]);?>" class="img-responsive" alt="" />
				</div>
			</div><!--- END COL -->	
			
			<div class="col-md-6 col-sm-6 col-xs-12">
				<div id="why_choose">									
					<div class="row">
						<?php
							// WP_Query arguments
							$args = array (
								'post_type'              => array( 'why_choice_us' ),
								'posts_per_page'              => $number_of_post,
							);

							// The Query
							$why_choice_content_query = new WP_Query( $args );
							$number = 0; 
							// The Loop
							if ( $why_choice_content_query->have_posts() ) {
								while ( $why_choice_content_query->have_posts() ) {
									$why_choice_content_query->the_post(); 
									$ratio_why_choice_us_icon = get_post_meta(get_the_ID(),'_ratio_why_choice_us_icon', true);
									?>
									
										<div class="col-sm-6">
											<div class="single_feature">
												<i class="<?php echo esc_attr($ratio_why_choice_us_icon);?>"></i>
												<h3><?php the_title();?></h3>
												<span></span>
												<?php the_content();?>
											</div>
										</div><!-- END ITEM ACTIVE -->
							<?php	}
							} else {
								// no posts found
							}

							// Restore original Post Data
							wp_reset_postdata();
						
						?>	
											
					</div>
				</div><!-- END CAROUSEL SLIDE -->				
			</div><!--- END COL -->
								
		</div><!--- END ROW -->			
	</div><!--- END CONTAINER -->		
</section>
<!-- END WHY CHOOSE US -->
<?php 
  return ob_get_clean();
}
add_shortcode ('why_choice_us_area', 'ratio_why_choice_us_area' );

//Service Area
function ratio_service_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_title_before' => 'our',                   
            'sec_title_after' => 'service',    
            'sec_post_per_page' => '6',    
		), $atts )
    );
ob_start();
?>
<!-- START SERVICE  -->
<section id="service" class="our_service section-padding">
	<div class="container">
		<div class="row text-center">
			<div class="section-title wow zoomIn">
				<h2><?php echo esc_html($sec_title_before);?> <span><?php echo esc_html($sec_title_after);?></span></h2>
				<div></div>
			</div>

				<?php
					// WP_Query arguments
					$args = array(
						'post_type'              => array( 'service' ),
						'posts_per_page'         => $sec_post_per_page,
					);

					// The Query
					$ratio_service_query = new WP_Query( $args );

					// The Loop
					if ( $ratio_service_query->have_posts() ) {
						while ( $ratio_service_query->have_posts() ) {
							$ratio_service_query->the_post();
							$ratio_service_icon = get_post_meta(get_the_ID(),'_ratio_service_icon', true);
							
							?>
							
							<div class="col-md-4 col-sm-4 col-xs-12 no-padding wow fadeInLeft" data-wow-duration="1s" data-wow-delay="0.1s" data-wow-offset="0">
								<div class="single_service">
									<i class="<?php echo esc_attr($ratio_service_icon);?>"></i>
									<h4><?php the_title();?></h4>
									<p><?php the_content();?></p>
								</div>
							</div><!--END COL -->
					<?php	}
					} else {
						// no posts found
					}

					// Restore original Post Data
					wp_reset_postdata();
				?>			

			
		</div><!--END  ROW -->
	</div><!-- END CONTAINER -->
</section>
<!-- END SERVICE-->	
<?php 
  return ob_get_clean();
}
add_shortcode ('service_area', 'ratio_service_area' );

//Work Area
function ratio_work_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_title_before' => 'Latest',                   
            'sec_title_after' => 'works',     
            'sec_btn_text' => 'See More Work',    
            'sec_btn_link' => '#',    
		), $atts )
    );
ob_start();
?>

<!-- START PORTFOLIO -->	
<section id="portfolio" class="works_area section-padding">	
	<div class="container-fluid">
		<div class="row text-center">
			<div class="section-title wow zoomIn">
				<h2><?php echo esc_html($sec_title_before);?> <span><?php echo esc_html($sec_title_after);?></span></h2>
				<div></div>
			</div>
			<div class="col-md-12">
				<div class="our_work_menu">
					
					<?php $terms = get_terms('cat_portfolios');
						if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
					?>
					<ul>
						<li class="filter wow fadeIn" data-wow-duration="1.5s" data-wow-delay=".25s" data-filter="all"><?php esc_html_e('All' , 'ratio');?></li>
						<?php foreach ( $terms as $term ) :?>
						<li class="filter" data-filter=".<?php echo esc_attr($term->slug); ?>"><?php echo esc_html($term->name); ?></li>
						<?php endforeach;?>
					</ul>
					<?php }?>
				
				</div>				
			</div>
			
			<div class="work_all_item">
	<?php 
			
				// WP_Query arguments
				$args = array (
					'post_type'              => array( 'portfolios' ),
					'posts_per_page'		=> -1,
				);

				// The Query
				$ratio_port_query = new WP_Query( $args );

				// The Loop
				if ( $ratio_port_query->have_posts() ) {
					while ( $ratio_port_query->have_posts() ) {
						$ratio_port_query->the_post(); 
						$ratio_port_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'ratio_image_1200_1200');
						?>
						<?php 

							$portfolio_terms = get_the_terms(get_the_id(), 'cat_portfolios');
							
							if ( ! empty( $portfolio_terms ) && ! is_wp_error( $portfolio_terms ) ):
								
								$portfolios_cat_slug = array();
								
								foreach($portfolio_terms as $portfolio_term){
									$portfolios_cat_slug[] = $portfolio_term->slug ;
								}
								
								$portfolios_cat_array = join(" ", $portfolios_cat_slug);
								$portfolios_class_array = join(" ", $portfolios_cat_slug);
							endif;
						?>			

						<div class="grid-item col-md-3 col-sm-6 col-xs-12 mix all <?php echo esc_attr($portfolios_class_array);?>">
							<div class="single_our_work">
								<div class="sing_work_photo">
									<figure>								
										<img src="<?php echo esc_url($ratio_port_image['0']);?>" alt="">
										<div class="sing_work_text_link">
											<div class="sing_work_content_wrap">
												<div class="sing_work_content">																							
													<div class="sing_link_img">
														<a href="<?php echo esc_url($ratio_port_image['0']);?>" class="lightbox search" data-gall="gall-work"><i class="fa fa-eye"></i></a>
														<a href="<?php the_permalink();?>" class="link"><i class="fa fa-link"></i></a>
													</div>	
													
													<h5><?php the_title();?></h5>
												<?php $terms = get_the_terms(get_the_ID(), 'cat_portfolios');
														if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
															foreach ( $terms as $term ) {
													?>
													<p><?php echo esc_html($term->name); ?></p>
												
													<?php
															}
													} ?>														
												</div>
											</div>
										</div>	
									</figure>
								</div>				
							</div>
						</div>
				
				
				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();			
			
			?>
								
			</div>				
		</div>
		<?php if($sec_btn_link){ ?>
			<div class="portfolio_btn text-center">
				<a href="<?php echo esc_url($sec_btn_link);?>" class="btn-light-bg"><?php echo esc_html($sec_btn_text);?></a>
			</div>
		<?php } ?>
	</div>			
</section>		
<!-- END PORTFOLIO -->	
		
<?php 
  return ob_get_clean();
}
add_shortcode ('work_area', 'ratio_work_area' );

//Counter Area
function ratio_counter_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 

		), $atts )
    );
ob_start();
?>

<!-- START COUNDOWN --> 
<section class="counter_feature">
	<div class="container">
		<div class="row">
		
			<?php echo do_shortcode($content);?>  
			              
	  </div><!--- END ROW -->
   </div><!--- END CONTAINER -->
</section>
<!-- END COUNDOWN -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('counter_area', 'ratio_counter_area' );

//Counter Item
function ratio_counter_item( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'counter_icon' => 'fa fa-check',                     
            'counter_number' => '2500',                     
            'counter_text' => 'Projects Finished',                     
		), $atts )
    );
ob_start();
?>

<div class="col-md-3 col-sm-6 col-xs-12 wow fadeInLeft" data-wow-duration="1s" data-wow-delay="0.1s" data-wow-offset="0">
	<div class="counter">
		<i class="<?php echo esc_attr($counter_icon);?>"></i>
		<h2 class="timer"> <?php echo esc_html($counter_number);?></h2>  
		<h5><?php echo esc_html($counter_text);?></h5>
	</div>
</div> <!--- END COL -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('counter_item', 'ratio_counter_item' );

//Team Area
function ratio_team_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_title_before' => 'Our',                   
            'sec_title_after' => 'Experts',                                       
            'number_of_post' => '4',                                       
                                      
		), $atts )
    );
ob_start();

?>


	<!-- START OUR TEAM -->
		<section id="team" class="our_team section-padding">
			<div class="container">		
				<div class="row text-center">
					<div class="section-title wow zoomIn">
						<h2><?php echo esc_html($sec_title_before);?> <span><?php echo esc_html($sec_title_after);?></span></h2>
						<div></div>
					</div>	

					<?php
						// WP_Query arguments
						$args = array(
							'post_type'              => array( 'team' ),
							'posts_per_page'         => $number_of_post,
						);

						// The Query
						$ratio_team_query = new WP_Query( $args );

						// The Loop
						if ( $ratio_team_query->have_posts() ) {
							while ( $ratio_team_query->have_posts() ) {
								$ratio_team_query->the_post(); 
								$ratio_team_designation = get_post_meta(get_the_ID(),'_ratio_team_designation', true);
								$ratio_team_group_field_opt = get_post_meta(get_the_ID(),'_ratio_team_group_field_opt', true); 
								$ratio_team_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'ratio_image_360_409');
								?>
								
									<div class="col-md-3 col-sm-6">
										<div class="single_team">
											<div class="img_wrap">
												<img src="<?php echo esc_url($ratio_team_image[0]);?>" class="img-responsive" alt="" />
											</div>	
											<h3><?php the_title();?></h3>
											<p><?php echo esc_html($ratio_team_designation);?></p>
											<span>
												<?php the_content();?>
											</span>																					
											<ul class="list-inline social_link">
												<?php
													foreach ( (array) $ratio_team_group_field_opt as $key => $team_entry ) {

														$social_icon = $social_link = '';

														if ( isset( $team_entry['_ratio_social_icon'] ) )
															$social_icon = $team_entry['_ratio_social_icon'];	

														if ( isset( $team_entry['_ratio_social_link'] ) )
															$social_link = $team_entry['_ratio_social_link'];	

														?>
														
															<li><a href="<?php echo esc_url($social_link);?>"><i class="fa <?php echo esc_attr($social_icon);?>"></i></a></li>		
													
													<?php } ?>														
													
											</ul>
											
		
										</div>
									</div> <!-- End Col -->									
						<?php	}
						} else {
							// no posts found
						}

						// Restore original Post Data
						wp_reset_postdata();
					?>					
					
			
					
									
				</div>
			</div>
		</section>
		<!-- END TEAM -->		
		
<?php 
  return ob_get_clean();
}
add_shortcode ('team_area', 'ratio_team_area' );

//Newsletter Area
function ratio_newsletter_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_bg_img' => '',                   
            'sec_title' => 'Subscribe to get the latest news, update and offer information. Don\'t worry, we won\'t send spam!',                                       
            'sec_shortcode_id' => '',                                       
                                      
		), $atts )
    );
ob_start();
$sec_bg_img = wp_get_attachment_image_src($sec_bg_img,'');
?>

<!-- START NEWSLETTER -->
<section class="newsletter" style="background-image: url(<?php echo esc_url($sec_bg_img[0]);?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
	<div class="newsletter_overlay section-padding">
		<div class="container">
			<div class="row">
				<div class="col-md-8 col-md-offset-2 col-sm-12 col-xs-12 text-center">
					<div class="signup_form">
						<h3><?php echo esc_html($sec_title);?></h3>
						<!-- Replace the form action in the line below with your MailChimp embed action! -->
						<?php if($sec_shortcode_id){ ?>
							<?php echo do_shortcode('[mc4wp_form id="'.esc_attr($sec_shortcode_id).'"]');?>
						<?php } ?>
					</div>
				</div><!-- END COL  -->
			</div><!-- END ROW  -->
		</div><!-- END CONTAINER -->
	</div><!-- END NEWSLERTTER OVERLAY -->
</section>
<!-- END NEWSLETTER -->	
		
<?php 
  return ob_get_clean();
}
add_shortcode ('newsletter_area', 'ratio_newsletter_area' );

//Pricing Area
function ratio_pricing_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_title_before' => 'ratio',                   
            'sec_title_after' => 'Pricing',                                      
            'number_of_post' => '3',                                      
                                      
		), $atts )
    );
ob_start();

?>

<!-- START PRICING -->
<section id="pricing" class="pricing_table section-padding">
	<div class="container">
		<div class="row text-center">
			<div class="section-title wow zoomIn">
				<h2><?php echo esc_html($sec_title_before);?> <span><?php echo esc_html($sec_title_after);?></span></h2>
				<div></div>
			</div>		

			<?php
				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'pricing' ),
					'posts_per_page'         => $number_of_post,
				);

				// The Query
				$ratio_pricing_query = new WP_Query( $args );

				// The Loop
				if ( $ratio_pricing_query->have_posts() ) {
					while ( $ratio_pricing_query->have_posts() ) {
						$ratio_pricing_query->the_post();
						$ratio_pricing_feature_item = get_post_meta(get_the_ID(),'_ratio_pricing_feature_item', true);
						$ratio_pricing_amount = get_post_meta(get_the_ID(),'_ratio_pricing_amount', true);
						$ratio_pricing_period = get_post_meta(get_the_ID(),'_ratio_pricing_period', true);
						$ratio_pricing_group_field_opt = get_post_meta(get_the_ID(),'_ratio_pricing_group_field_opt', true);
						$ratio_pricing_btn_text = get_post_meta(get_the_ID(),'_ratio_pricing_btn_text', true);
						$ratio_pricing_btn_link = get_post_meta(get_the_ID(),'_ratio_pricing_btn_link', true);
														
						?>
						
							<div class="col-md-4 col-sm-4 col-xs-12">
								<div class="pricing-table">
									<div class="price <?php if($ratio_pricing_feature_item == true){ echo esc_attr('color-two'); }else{ echo esc_attr('color-one'); }?>">
										<h3><?php the_title();?></h3>
										<span><?php echo esc_html($ratio_pricing_amount);?></span>
										<?php echo esc_html($ratio_pricing_period);?>
									</div>
									<ul class="pricing-list">
										<?php
										foreach ( (array) $ratio_pricing_group_field_opt as $key => $pricing_entry ) {

											$icon = $single_feature = '' ;


											if ( isset( $pricing_entry['_ratio_pricing_icon'] ) )
												$icon = $pricing_entry['_ratio_pricing_icon'];	
											
											if ( isset( $pricing_entry['_ratio_single_feature'] ) )
												$single_feature = $pricing_entry['_ratio_single_feature'];	

											
											?>
											
												 <li><i class="<?php echo esc_attr($icon);?>"></i> <?php echo esc_html($single_feature);?></li>
										<?php } ?>										
										

									</ul>
									<div class="pricing-btn">
										<a class="btn-light-bg" href="<?php echo esc_html($ratio_pricing_btn_link);?>"><?php echo esc_html($ratio_pricing_btn_text);?></a>
									</div>
								</div><!-- END PRICING TABLE -->
							</div><!-- END COL -->	
														
				<?php
					}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();
			?>			

			
			
		</div><!--END  ROW  -->
	</div><!-- END CONTAINER  -->
</section>
<!-- END PRICING -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('pricing_area', 'ratio_pricing_area' );

//Testimonials Area
function ratio_testimonials_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_bg_img' => '',                                                        
                                      
		), $atts )
    );
ob_start();
$sec_bg_img = wp_get_attachment_image_src($sec_bg_img,'');
?>

<!-- Start testimonials -->
<section class="testimonials_area" style="background-image: url(<?php echo esc_url($sec_bg_img[0]);?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
	<div class="testimonial_overlay">
		<div class="container">
			<div class="row">
				<div class="col-md-8 col-md-offset-2 col-sm-12 col-xs-12">
					<div class="testimonials_carousel text-center">
					<?php
						// WP_Query arguments
						$args = array(
							'post_type'              => array( 'testimonials' ),
							'posts_per_page'         => '-1',
						);

						// The Query
						$ratio_testimonials_query = new WP_Query( $args );

						// The Loop
						if ( $ratio_testimonials_query->have_posts() ) {
							while ( $ratio_testimonials_query->have_posts() ) {
								$ratio_testimonials_query->the_post(); 								
								$ratio_testimonial_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'ratio_image_200_200');
								?>
								<div class="single_testimonial">	
									<div class="avatar">
										<img src="<?php echo esc_url($ratio_testimonial_image[0]);?>" alt="" />
									</div>
									<p><?php the_content();?></p>
									<span><?php the_title();?></span>
								</div>	
						<?php	}
						} else {
							// no posts found
						}

						// Restore original Post Data
						wp_reset_postdata();
					?>					
		
						
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- End testimonials -->	
		
<?php 
  return ob_get_clean();
}
add_shortcode ('testimonials_area', 'ratio_testimonials_area' );

//Client Area
function ratio_client_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
                                                       
                                      
		), $atts )
    );
ob_start();

?>

<!-- START COMPANY PARTNER LOGO  -->
<div class="partner-logo section-padding">
	<div class="partner_overlay">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="partner wow fadeInRight">
					<?php
						// WP_Query arguments
						$args = array(
							'post_type'              => array( 'clients' ),
							'posts_per_page'         => '-1',
						);

						// The Query
						$ratio_clients_query = new WP_Query( $args );

						// The Loop
						if ( $ratio_clients_query->have_posts() ) {
							while ( $ratio_clients_query->have_posts() ) {
								$ratio_clients_query->the_post();
								$ratio_testimoniasl_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'ratio_image_210_90');
								$ratio_client_web_url = get_post_meta(get_the_ID(),'_ratio_client_web_url', true);
						
								?>
								<a href="<?php echo esc_url($ratio_client_web_url);?>" target="_blank"><img src="<?php echo esc_url($ratio_testimoniasl_image[0]);?>" alt=""></a>
						<?php	}
						} else {
							// no posts found
						}

						// Restore original Post Data
						wp_reset_postdata();
					?>					
						
	
				</div>
				</div><!-- END COL  -->
			</div><!--END  ROW  -->
		</div><!-- END CONTAINER  -->
	</div><!-- END OVERLAY -->
</div>
<!-- END COMPANY PARTNER LOGO -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('client_area', 'ratio_client_area' );

//Blog Area
function ratio_blog_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_title_before' => 'Latest',                   
            'sec_title_after' => 'blog',                                                         
            'sec_number_post' => '3',                                                         
                                      
		), $atts )
    );
ob_start();

?>

<!-- START HOME BLOG -->
<section id="blog" class="home_blog section-padding">
	<div class="container">
		<div class="row">
			<div class="section-title text-center wow zoomIn">
				<h2><?php echo esc_html($sec_title_before);?> <span><?php echo esc_html($sec_title_after);?></span></h2>
				<div></div>
			</div>

			<?php
				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'post' ),
					'posts_per_page'         => $sec_number_post,
				);

				// The Query
				$ratio_blog_query = new WP_Query( $args );

				// The Loop
				if ( $ratio_blog_query->have_posts() ) {
					while ( $ratio_blog_query->have_posts() ) {
						$ratio_blog_query->the_post();
						$ratio_blog_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'ratio_image_800_500');
														
						?>
						
						<div class="col-md-4 col-sm-6 col-xs-12">
							<div class="home_single_blog">
								<img class="blog-photo" alt="" src="<?php echo esc_url($ratio_blog_image[0]);?>"/>
								<div class="home_blog_text wow fadeInLeft">
									 <span><i class="fa fa-user"></i> <?php echo esc_html( get_the_author() );?></span><span><i class="fa fa-calendar"></i> <?php echo esc_html(get_the_time('F D Y'), get_the_ID());?></span>
									 <h4><?php the_title();?></h4>
									 <p><?php ratio_readmore_content(18);?></p>
									<a class="btn-light-bg" href="<?php the_permalink();?>"><?php esc_html_e('Read More' , 'ratio');?></a>
								</div>
							</div><!--- END SINGLE BLOG POST -->
						</div><!--- END COL -->
				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();
			?>			

			

			
		</div><!--- END ROW -->
	</div><!--- END CONTAINER -->
</section>
<!-- END HOME BLOG -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('blog_area', 'ratio_blog_area' );

//Buy Now Area
function ratio_buy_now_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_content' => 'Are you ready for your next project?',                                                                                 
            'sec_btn_text' => 'Hire us',                                                                                 
            'sec_btn_link' => '#',                                                                                 
                                      
		), $atts )
    );
ob_start();

?>
<!-- PROMOTION -->
<section class="buy_now">
	<div class="container text-center">
		<h3 class="buy_now_title"><?php echo esc_html($sec_content);?></h3>
		<a href="<?php echo esc_url($sec_btn_link);?>" class="btn btn-default btn-promotion-bg"><?php echo esc_html($sec_btn_text);?></a>
	</div><!--- END CONTAINER -->
</section>
<!-- END PROMOTION -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('buy_now_area', 'ratio_buy_now_area' );


//Contact Us Area
function ratio_contact_us_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'sec_bef_title' => 'Get IN',                                                                                                                                                                
            'sec_aft_title' => 'Touch',                                                                                                                                                                
            'sec_contact_shortcode_id' => '',                                                                                                                                                                
                                      
		), $atts )
    );
ob_start();

?>

<!-- START CONTACT FORM-->
<section id="contact" class="contact_area section-padding">
	<div class="container">
		<div class="row">	
			<div class="section-title text-center wow zoomIn">
				<h2><?php echo esc_html($sec_bef_title);?> <span><?php echo esc_html($sec_aft_title);?></span></h2>
				<div></div>
			</div>	
			
			<div class="col-md-8 col-sm-8 center-block col-xs-12 wow fadeInRight">
				<div class="contact">
					<div id="contact-form">
						<?php echo do_shortcode('[contact-form-7 id="'.esc_attr($sec_contact_shortcode_id).'"]');?>	
					</div>
				</div>
			</div><!-- END COL -->
					
		</div><!--- END ROW -->				
	</div><!--- END CONTAINER -->	
</section>
<!-- END CONTACT FORM -->
<?php 
  return ob_get_clean();
}
add_shortcode ('contact_us_area', 'ratio_contact_us_area' );


//Google Map
function ratio_google_map( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                 
            'map_api' => 'AIzaSyDwIQh7LGryQdDDi-A603lR8NqiF3R_ycA',                                                                                                                                                                                                                                                                                                                                
            'map_latitude' => '40.7127837',                                                                                                                                                                                                                                                                                                                                
            'map_longitude' => '-74.00594130000002',                                                                                                                                                                                                                                                                                                                                
                                      
		), $atts )
    );
ob_start();

?>
	<!-- map js -->
	<script src="https://maps.googleapis.com/maps/api/js?key=<?php echo esc_js($map_api);?>"></script>
	<script>
		function initialize() {
		  var mapOptions = {
			zoom: 15,
			scrollwheel: false,
			center: new google.maps.LatLng(<?php echo esc_js($map_latitude);?>, <?php echo esc_js($map_longitude);?>)
		  };
		  var map = new google.maps.Map(document.getElementById('map'),
			  mapOptions);
		  var marker = new google.maps.Marker({
			position: map.getCenter(),
			icon: '<?php echo esc_url(get_template_directory_uri());?>/assets/img/map_pin.png',
			map: map
		  });
		}
		google.maps.event.addDomListener(window, 'load', initialize);				
	</script>
	<div id="map"></div>
<?php 
  return ob_get_clean();
}
add_shortcode ('google_map', 'ratio_google_map' );


//Shortcode Importer
function ratio_shortcode_importer( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                   
            'enter_shortcode' => '',                                                                              

		), $atts )
    );

	echo do_shortcode($enter_shortcode);
}
add_shortcode ('shortcode_importer', 'ratio_shortcode_importer' );